Package com.collibra.dgc.core.api.dto.instance.issue

# Class AddIssueRequest

Object
AddIssueRequest

All Implemented Interfaces:
  `Serializable`

public class AddIssueRequest extends Object implements Serializable
The properties of the issue to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AddIssueRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddIssueRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddIssueRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<UUID>`
  `getCategoryIds()`
  The list of IDs of assets which represent categories for this issue.
  `String`
  `getDescription()`
  Required. The description for the issue.
  `String`
  `getName()`
  Required. The name of the subject for which the issue is being created.
  `String`
  `getPriority()`
  The priority for the issue.
  `List<RelatedAssetReference>`
  `getRelatedAssets()`
  The list of assets which the issue is related to.
  `UUID`
  `getRequesterId()`
  The requester of the issue.
  `UUID`
  `getResponsibleCommunityId()`
  The ID of the community responsible for handling the issue.
  `UUID`
  `getTypeId()`
  Required. The type ID of the issue to be created.
  `int`
  `hashCode()`
  `void`
  `setCategoryIds(List<UUID> categoryIds)`
  The list of IDs of assets which represent categories for this issue.
  `void`
  `setDescription(String description)`
  Required. The description for the issue.
  `void`
  `setName(String name)`
  Required. The name of the subject for which the issue is being created.
  `void`
  `setPriority(String priority)`
  The priority for the issue.
  `void`
  `setRelatedAssets(List<RelatedAssetReference> relatedAssets)`
  The list of assets which the issue is related to.
  `void`
  `setRequesterId(UUID requesterId)`
  The requester of the issue.
  `void`
  `setResponsibleCommunityId(UUID responsibleCommunityId)`
  The ID of the community responsible for handling the issue.
  `void`
  `setTypeId(UUID typeId)`
  Required. The type ID of the issue to be created.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddIssueRequest

    public AddIssueRequest()

- ## Method Details

  - ### builder

    public static AddIssueRequest.Builder builder()

  - ### getResponsibleCommunityId

    public UUID getResponsibleCommunityId()
    The ID of the community responsible for handling the issue.

  - ### getName

    public String getName()
    Required. The name of the subject for which the issue is being created.

  - ### getTypeId

    public UUID getTypeId()
    Required. The type ID of the issue to be created.

  - ### getDescription

    public String getDescription()
    Required. The description for the issue.

  - ### getPriority

    public String getPriority()
    The priority for the issue.

  - ### getRequesterId

    public UUID getRequesterId()
    The requester of the issue.

  - ### getRelatedAssets

    public List<RelatedAssetReference> getRelatedAssets()
    The list of assets which the issue is related to.

  - ### getCategoryIds

    public List<UUID> getCategoryIds()
    The list of IDs of assets which represent categories for this issue. Each asset in this list should be of type Issue Category.

  - ### setResponsibleCommunityId

    public void setResponsibleCommunityId(UUID responsibleCommunityId)
    The ID of the community responsible for handling the issue.

  - ### setName

    public void setName(String name)
    Required. The name of the subject for which the issue is being created.

  - ### setTypeId

    public void setTypeId(UUID typeId)
    Required. The type ID of the issue to be created.

  - ### setDescription

    public void setDescription(String description)
    Required. The description for the issue.

  - ### setPriority

    public void setPriority(String priority)
    The priority for the issue.

  - ### setRequesterId

    public void setRequesterId(UUID requesterId)
    The requester of the issue.

  - ### setRelatedAssets

    public void setRelatedAssets(List<RelatedAssetReference> relatedAssets)
    The list of assets which the issue is related to.

  - ### setCategoryIds

    public void setCategoryIds(List<UUID> categoryIds)
    The list of IDs of assets which represent categories for this issue. Each asset in this list should be of type Issue Category.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`